​
Select Service
ves-io-schema-k8s_pod_security_policy-API-List
Published April 5, 2023 | Last modified September 28, 2026
Examples of listing k8s_pod_security_policy
Usecase:
List all k8s_pod_security_policys in current namespace
Request using vesctl:
vesctl configuration list k8s_pod_security_policy --namespace system
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: pod-security-policy-1 namespace: system statusSet: [] tenant: acmecorp uid: e393d24b-705f-4934-b5a3-478b5b478fc4Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/k8s_pod_security_policys'curl response
HTTP/1.1 200 OKContent-Length: 444Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:03:24 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "system", "name": "pod-security-policy-1", "uid": "e393d24b-705f-4934-b5a3-478b5b478fc4", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}